Как установить последние версии всех скриптов относительно быстро (взяв их из SVN-хранилища)

984 views
Skip to first unread message

Sclex

unread,
Oct 25, 2017, 4:47:34 AM10/25/17
to Fiction Book Editor
Расскажу о том, как установить последние версии всех скриптов (и некоторых других файлов) относительно быстро. Потому что не для всех это очевидно, а собрать новую версию инсталла FBE (после версии 2.6.7) пока что некому.

В топиках про разные скрипты я даю ссылки на скачивание файлов скрипта, но искать ссылки на последние версии всех скриптов и потом по одному их устанавливать - надо думать, утомительное занятие. Есть возможность обновить все скрипты сразу.

Что для этого нужно сделать. Вначале - открыть страницу SVN-хранилища исходников FBE. На текущий момент я использую для хранения исходников FBE хранилище с таким адресом:

https://github.com/sensboston/fictionbookeditor

Большую часть этой страницы занимает список директорий и файлов, составляющих исходники FBE. Список этот находится не в самом верху и не в самом низу, а примерно посередине. Начинается список (на данный момент) с директорий "FBShell" ,"Installer", "WTL" и т.д.

Над этим список директорий справа находится кнопка с надписью "Clone or download". Нужно щелкнуть мышью по этой кнопке (левой кнопкой), появится окошко, в этом окошке надо кликнуть по кнопке "Download ZIP". Через сколько-то секунд появится диалог браузера, предлагающий скачать файл "fictionbookeditor-master.zip". Ну или начнется автоматическое сохранение файла - смотря как настроен браузер. В общем, этот файл нужно скачать на диск.

Когда скачивание завершено, нужно из извлечь из полученного архива директории "/files/Scripts/" и "/files/HTML/" со всем содержимым, а также файлы "/main.js" и "/fb2.xsl".

Перед предстоящим перемещением или копирование директорий Scripts и HTML, а также файлов main.js и fb2.xsl, нужно либо переименовать эти директории и файлы, либо удалить. Понятно, что переименование - более безопасный вариант, так как в случае чего можно восстановить старые версии файлов.

После этого, директорию Scripts из архива нужно поместить по пути, который выбран в настройках FBE (закладка "Другое" -> раздел "папка скриптов"). Если стоит галочка "По-умолчанию", значит выбрана поддиректория Scripts директории, в которой лежит запускаемый вами файл fbe.exe.

Директорию HTML и файлы main.js и fb2.xsl из архива, нужно поместить в папку FBE, в которой находится файл fbe.exe, который вы запускаете. (Директория /HTML/CSS/ с ее содержимым должны быть перемещены вместе с директорией HTML, т.е. должно быть использовано рекурсивное перемещение либо копирвоание.)

Всё, после этого можно запустить FBE и, по идее, в нем должны появиться уже новые версии скриптов, плюс будут исправлены некоторые баги редактора, относящиеся не к скриптам.

Sclex

unread,
Oct 25, 2017, 4:53:49 AM10/25/17
to Fiction Book Editor
среда, 25 октября 2017 г., 11:47:34 UTC+3 пользователь Sclex написал:
Когда скачивание завершено, нужно из извлечь из полученного архива директории "/files/Scripts/" и "/files/HTML/" со всем содержимым, а также файлы "/main.js" и "/fb2.xsl".
Поправка: "...файлы  "/files/main.js" и "/files/fb2.xsl"".

Sclex

unread,
Oct 25, 2017, 4:58:41 AM10/25/17
to Fiction Book Editor
среда, 25 октября 2017 г., 11:47:34 UTC+3 пользователь Sclex написал:
Перед предстоящим перемещением или копирование директорий Scripts и HTML, а также файлов main.js и fb2.xsl, нужно либо переименовать эти директории и файлы, либо удалить.
Поправка: "... нужно либо переименовать, либо удалить СТАРЫЕ ВЕРСИИ ЭТИХ ДИРЕКТОРИЙ И ФАЙЛОВ, Т.Е. УЖЕ ИСПОЛЬЗУЕМЫЕ УСТАНОВЛЕННЫМ РЕДАКТОРОМ FBE".

Вадим Фуртиков

unread,
Oct 25, 2017, 5:03:14 AM10/25/17
to fiction-b...@googlegroups.com
После копирования main.js и fb2.xls при запуске возникает ошибка "Error at line 512: Невозможно создание объекта сервером программирования объектов". Если вернуть старые, все нормально.

25 октября 2017 г., 11:47 пользователь Sclex <scl...@gmail.com> написал:

--
Вы получили это сообщение, поскольку подписаны на группу "Fiction Book Editor".
Чтобы отменить подписку на эту группу и больше не получать от нее сообщения, отправьте письмо на электронный адрес fiction-book-editor+unsub...@googlegroups.com.
Чтобы настроить другие параметры, перейдите по ссылке https://groups.google.com/d/optout.

Вадим Фуртиков

unread,
Oct 25, 2017, 5:05:38 AM10/25/17
to fiction-b...@googlegroups.com
Я переименовал. Ошибка из-за main.js. 

25 октября 2017 г., 11:58 пользователь Sclex <scl...@gmail.com> написал:
среда, 25 октября 2017 г., 11:47:34 UTC+3 пользователь Sclex написал:
Перед предстоящим перемещением или копирование директорий Scripts и HTML, а также файлов main.js и fb2.xsl, нужно либо переименовать эти директории и файлы, либо удалить.
Поправка: "... нужно либо переименовать, либо удалить СТАРЫЕ ВЕРСИИ ЭТИХ ДИРЕКТОРИЙ И ФАЙЛОВ, Т.Е. УЖЕ ИСПОЛЬЗУЕМЫЕ УСТАНОВЛЕННЫМ РЕДАКТОРОМ FBE".

--

Sclex

unread,
Oct 25, 2017, 5:15:01 AM10/25/17
to Fiction Book Editor
Джим, а какая версия FBE у вас?

среда, 25 октября 2017 г., 12:03:14 UTC+3 пользователь Джим написал:

Вадим Фуртиков

unread,
Oct 25, 2017, 5:15:53 AM10/25/17
to fiction-b...@googlegroups.com
2.6.7 пишет.

25 октября 2017 г., 12:15 пользователь Sclex <scl...@gmail.com> написал:
Чтобы отменить подписку на эту группу и больше не получать от нее сообщения, отправьте письмо на электронный адрес fiction-book-editor+unsubscribe...@googlegroups.com.

Чтобы настроить другие параметры, перейдите по ссылке https://groups.google.com/d/optout.

Sclex

unread,
Oct 25, 2017, 5:19:11 AM10/25/17
to Fiction Book Editor
ОК, попробую выяснить причину возникновения ошибки.

среда, 25 октября 2017 г., 12:15:53 UTC+3 пользователь Джим написал:
2.6.7 пишет.

25 октября 2017 г., 12:15 пользователь Sclex <scl...@gmail.com> написал:
Джим, а какая версия FBE у вас?

среда, 25 октября 2017 г., 12:03:14 UTC+3 пользователь Джим написал:
После копирования main.js и fb2.xls при запуске возникает ошибка "Error at line 512: Невозможно создание объекта сервером программирования объектов". Если вернуть старые, все нормально.
25 октября 2017 г., 11:47 пользователь Sclex <scl...@gmail.com> написал:
Расскажу о том, как установить последние версии всех скриптов (и некоторых других файлов) относительно быстро. Потому что не для всех это очевидно, а собрать новую версию инсталла FBE (после версии 2.6.7) пока что некому.

В топиках про разные скрипты я даю ссылки на скачивание файлов скрипта, но искать ссылки на последние версии всех скриптов и потом по одному их устанавливать - надо думать, утомительное занятие. Есть возможность обновить все скрипты сразу.

Что для этого нужно сделать. Вначале - открыть страницу SVN-хранилища исходников FBE. На текущий момент я использую для хранения исходников FBE хранилище с таким адресом:

https://github.com/sensboston/fictionbookeditor

Большую часть этой страницы занимает список директорий и файлов, составляющих исходники FBE. Список этот находится не в самом верху и не в самом низу, а примерно посередине. Начинается список (на данный момент) с директорий "FBShell" ,"Installer", "WTL" и т.д.

Над этим список директорий справа находится кнопка с надписью "Clone or download". Нужно щелкнуть мышью по этой кнопке (левой кнопкой), появится окошко, в этом окошке надо кликнуть по кнопке "Download ZIP". Через сколько-то секунд появится диалог браузера, предлагающий скачать файл "fictionbookeditor-master.zip". Ну или начнется автоматическое сохранение файла - смотря как настроен браузер. В общем, этот файл нужно скачать на диск.

Когда скачивание завершено, нужно из извлечь из полученного архива директории "/files/Scripts/" и "/files/HTML/" со всем содержимым, а также файлы "/main.js" и "/fb2.xsl".

Перед предстоящим перемещением или копирование директорий Scripts и HTML, а также файлов main.js и fb2.xsl, нужно либо переименовать эти директории и файлы, либо удалить. Понятно, что переименование - более безопасный вариант, так как в случае чего можно восстановить старые версии файлов.

После этого, директорию Scripts из архива нужно поместить по пути, который выбран в настройках FBE (закладка "Другое" -> раздел "папка скриптов"). Если стоит галочка "По-умолчанию", значит выбрана поддиректория Scripts директории, в которой лежит запускаемый вами файл fbe.exe.

Директорию HTML и файлы main.js и fb2.xsl из архива, нужно поместить в папку FBE, в которой находится файл fbe.exe, который вы запускаете. (Директория /HTML/CSS/ с ее содержимым должны быть перемещены вместе с директорией HTML, т.е. должно быть использовано рекурсивное перемещение либо копирвоание.)

Всё, после этого можно запустить FBE и, по идее, в нем должны появиться уже новые версии скриптов, плюс будут исправлены некоторые баги редактора, относящиеся не к скриптам.

--
Вы получили это сообщение, поскольку подписаны на группу "Fiction Book Editor".
Чтобы отменить подписку на эту группу и больше не получать от нее сообщения, отправьте письмо на электронный адрес fiction-book-editor+unsub...@googlegroups.com.
Чтобы настроить другие параметры, перейдите по ссылке https://groups.google.com/d/optout.

Sclex

unread,
Oct 25, 2017, 5:40:23 AM10/25/17
to Fiction Book Editor
Дело, похоже, в том, что в main.js от FBE 2.6.7 используется 6-ая версия MSXML, а в последней версии main.js в SVN-хранилище используется MSXML 4. Версию 2.6.7 делал TaF, и я исходил из того, что сделанные им правки залиты в хранилище sensboston-а, но это, видимо, не так.

Т.е. сейчас, по-видимому, обновить скрипты вышеописанным способом возможно для FBE 2.6.6 и, может быть, некоторых более ранних версий.

среда, 25 октября 2017 г., 12:19:11 UTC+3 пользователь Sclex написал:

Sclex

unread,
Oct 25, 2017, 5:43:30 AM10/25/17
to Fiction Book Editor


среда, 25 октября 2017 г., 12:40:23 UTC+3 пользователь Sclex написал:
Т.е. сейчас, по-видимому, обновить скрипты вышеописанным способом возможно для FBE 2.6.6 и, может быть, некоторых более ранних версий.
Вернее, скрипты в директории Scripts обновить-то можно, нельзя только заменить main.js на последнюю версию.

Sclex

unread,
Oct 25, 2017, 5:57:03 AM10/25/17
to Fiction Book Editor
среда, 25 октября 2017 г., 12:05:38 UTC+3 пользователь Джим написал:
Я переименовал. Ошибка из-за main.js.
Несколько утешает то, что после версии 2.6.6 в main.js было сделано всего лишь одно изменение:
"теперь при создании эпиграфа из выделенного текста не будет теряться форматирование (включая ссылки и сноски), содержавшееся в этом выделенном тексте."

Sclex

unread,
Oct 25, 2017, 6:33:02 AM10/25/17
to Fiction Book Editor
Сделал измененную версию main.js специально для FBE 2.6.7 (для FBE 2.6.6 этот файл не подходит).

Ссылка для скачивания:
http://scripts.fictionbook.org/files3/main_js_from_FBE_2.6.7_updated_2017_10_25.zip

Единственное отличие от "родного" main.js в FBE 2.6.7, - то, о котором я уже написал выше:

Вадим Фуртиков

unread,
Oct 25, 2017, 7:46:53 AM10/25/17
to fiction-b...@googlegroups.com
Спасибо! Теперь все работает.

25 октября 2017 г., 13:33 пользователь Sclex <scl...@gmail.com> написал:

--

Sclex

unread,
Oct 25, 2017, 8:56:17 AM10/25/17
to Fiction Book Editor
25.10.2017, Sclex<scl...@gmail.com> написал(а):
> Сделал измененную версию main.js специально для FBE 2.6.7 (для FBE 2.6.6
> этот файл не подходит).
А хотя, похоже, и для FBE 2.6.6 подходит. По крайней мере, при
поверхностном тестировании почти никаких глюков не обнаружил.
Единственное, что заметил неправильного, - при вводе букв в абзац
иногда скачет между двумя значениями то ли размер шрифта, то ли
гарнитура шрифта у этого абзаца. Наберешь что-нибудь - буквы абзаца
становятся чуть больше. Потом еще что-то введешь - буквы абзаца
становятся чуть меньше. У меня IE6, если чё.

Если использовать в FBE 2.6.6 измененный main.js для 2.6.7, то по идее
использоваться будет MSXML 6, а не 4. Но для инсталляции FBE 2.6.6
требуется, чтобы MSXML 4 был установлен - там в установочном файле
прописана такая проверка.

Sclex

unread,
Oct 25, 2017, 9:12:50 AM10/25/17
to Fiction Book Editor
GitHub, наверно, не SVN-хранилище , а git, т.е. в названии данной темы форума имеется ошибка. Но на предложенный в первом сообщении способ обновления файлов FBE это не влияет.

Вадим Ганзенко

unread,
Nov 10, 2018, 12:32:38 PM11/10/18
to Fiction Book Editor
main.js - незарегестрированная библиотека
Ошибка на 542 строку 

Sclex

unread,
Nov 15, 2018, 9:03:40 AM11/15/18
to Fiction Book Editor
В какой момент возникает эта ошибка? И какая у вас версия FBE?

суббота, 10 ноября 2018 г., 20:32:38 UTC+3 пользователь Вадим Ганзенко написал:

Sclex

unread,
Nov 15, 2018, 9:11:10 AM11/15/18
to Fiction Book Editor
И какая версия IE в вашей операционной системе?


суббота, 10 ноября 2018 г., 20:32:38 UTC+3 пользователь Вадим Ганзенко написал:
main.js - незарегестрированная библиотека
Ошибка на 542 строку 

Вадим Ганзенко

unread,
Nov 15, 2018, 9:21:39 AM11/15/18
to Fiction Book Editor


четверг, 15 ноября 2018 г., 16:11:10 UTC+2 пользователь Sclex написал:
И какая версия IE в вашей операционной системе?

Ошибка при старте программы и соответственно неработа ее далее
Поограмма версии 2.6.7
Windows 10x64 
IE - не знаю
Fiction Book editor - portable, просто распакованный инсталлятор

Ruslan Freydlin

unread,
Nov 15, 2018, 9:42:22 AM11/15/18
to fiction-b...@googlegroups.com
а ссылку на  Fiction Book editor можете дать? Откуда брать?

чт, 15 нояб. 2018 г. в 18:21, Вадим Ганзенко <blade...@gmail.com>:
--
Вы получили это сообщение, поскольку подписаны на группу "Fiction Book Editor".
Чтобы отменить подписку на эту группу и больше не получать от нее сообщения, отправьте письмо на электронный адрес fiction-book-ed...@googlegroups.com.

Sclex

unread,
Nov 15, 2018, 11:01:56 AM11/15/18
to Fiction Book Editor
Видимо, дело в том, что вы не установили редактор обычным образом, поэтому какой-то из exe или dll файлов оказался не зарегистрирован в реестре. Попробуйте зарегистрировать все exe и dll файлы из директории, в которой лежит редактор. Инструкция по регистрации файлов есть, например, вот тут: https://remontka.pro/dll-register-windows/

четверг, 15 ноября 2018 г., 17:21:39 UTC+3 пользователь Вадим Ганзенко написал:

Sclex

unread,
Nov 15, 2018, 11:11:09 AM11/15/18
to Fiction Book Editor
Где лежит инсталл FBE в инете, не знаю. У меня на диске есть инсталлы версий 2.6, 2.6.6 и 2.6.7. (все три версии релизные). Могу выложить на файлообменник, если посоветуете, на какой именно. Я уже долгое время не пользовался файлообменниками и не знаю, какая счас насчет них ситуация.

четверг, 15 ноября 2018 г., 17:42:22 UTC+3 пользователь Black_Zerg написал:
а ссылку на  Fiction Book editor можете дать? Откуда брать?

чт, 15 нояб. 2018 г. в 18:21, Вадим Ганзенко <blade...@gmail.com>:


четверг, 15 ноября 2018 г., 16:11:10 UTC+2 пользователь Sclex написал:
И какая версия IE в вашей операционной системе?

Ошибка при старте программы и соответственно неработа ее далее
Поограмма версии 2.6.7
Windows 10x64 
IE - не знаю
Fiction Book editor - portable, просто распакованный инсталлятор

--
Вы получили это сообщение, поскольку подписаны на группу "Fiction Book Editor".
Чтобы отменить подписку на эту группу и больше не получать от нее сообщения, отправьте письмо на электронный адрес fiction-book-editor+unsub...@googlegroups.com.

Вадим Ганзенко

unread,
Nov 15, 2018, 11:32:21 AM11/15/18
to Fiction Book Editor


четверг, 15 ноября 2018 г., 18:01:56 UTC+2 пользователь Sclex написал:
Видимо, дело в том, что вы не установили редактор обычным образом, поэтому какой-то из exe или dll файлов оказался не зарегистрирован в реестре. Попробуйте зарегистрировать все exe и dll файлы из директории, в которой лежит редактор. Инструкция по регистрации файлов есть, например, вот тут: https://remontka.pro/dll-register-windows/

Все оказалось намного проще - требуется запуск от имени администратора 

Ruslan Freydlin

unread,
Nov 15, 2018, 11:42:11 AM11/15/18
to fiction-b...@googlegroups.com
да на google disk выложите, правой кнопкой на файле дать доступ по ссылке и ссылку сюда

чт, 15 нояб. 2018 г. в 20:11, Sclex <scl...@gmail.com>:
Где лежит инсталл FBE в инете, не знаю. У меня на диске есть инсталлы версий 2.6, 2.6.6 и 2.6.7. (все три версии релизные). Могу выложить на файлообменник, если посоветуете, на какой именно. Я уже долгое время не пользовался файлообменниками и не знаю, какая счас насчет них ситуация.

четверг, 15 ноября 2018 г., 17:42:22 UTC+3 пользователь Black_Zerg написал:
а ссылку на  Fiction Book editor можете дать? Откуда брать?

чт, 15 нояб. 2018 г. в 18:21, Вадим Ганзенко <blade...@gmail.com>:


четверг, 15 ноября 2018 г., 16:11:10 UTC+2 пользователь Sclex написал:
И какая версия IE в вашей операционной системе?

Ошибка при старте программы и соответственно неработа ее далее
Поограмма версии 2.6.7
Windows 10x64 
IE - не знаю
Fiction Book editor - portable, просто распакованный инсталлятор

--
Вы получили это сообщение, поскольку подписаны на группу "Fiction Book Editor".
Чтобы отменить подписку на эту группу и больше не получать от нее сообщения, отправьте письмо на электронный адрес fiction-book-ed...@googlegroups.com.

Чтобы настроить другие параметры, перейдите по ссылке https://groups.google.com/d/optout.

--
Вы получили это сообщение, поскольку подписаны на группу "Fiction Book Editor".
Чтобы отменить подписку на эту группу и больше не получать от нее сообщения, отправьте письмо на электронный адрес fiction-book-ed...@googlegroups.com.

Sclex

unread,
Nov 15, 2018, 11:47:04 AM11/15/18
to Fiction Book Editor
Я решил выложить те три инсталла на github. Уже идет закачка.

четверг, 15 ноября 2018 г., 19:42:11 UTC+3 пользователь Black_Zerg написал:
да на google disk выложите, правой кнопкой на файле дать доступ по ссылке и ссылку сюда

чт, 15 нояб. 2018 г. в 20:11, Sclex <scl...@gmail.com>:
Где лежит инсталл FBE в инете, не знаю. У меня на диске есть инсталлы версий 2.6, 2.6.6 и 2.6.7. (все три версии релизные). Могу выложить на файлообменник, если посоветуете, на какой именно. Я уже долгое время не пользовался файлообменниками и не знаю, какая счас насчет них ситуация.

четверг, 15 ноября 2018 г., 17:42:22 UTC+3 пользователь Black_Zerg написал:
а ссылку на  Fiction Book editor можете дать? Откуда брать?

чт, 15 нояб. 2018 г. в 18:21, Вадим Ганзенко <blade...@gmail.com>:


четверг, 15 ноября 2018 г., 16:11:10 UTC+2 пользователь Sclex написал:
И какая версия IE в вашей операционной системе?

Ошибка при старте программы и соответственно неработа ее далее
Поограмма версии 2.6.7
Windows 10x64 
IE - не знаю
Fiction Book editor - portable, просто распакованный инсталлятор

--
Вы получили это сообщение, поскольку подписаны на группу "Fiction Book Editor".
Чтобы отменить подписку на эту группу и больше не получать от нее сообщения, отправьте письмо на электронный адрес fiction-book-editor+unsub...@googlegroups.com.

Чтобы настроить другие параметры, перейдите по ссылке https://groups.google.com/d/optout.

--
Вы получили это сообщение, поскольку подписаны на группу "Fiction Book Editor".
Чтобы отменить подписку на эту группу и больше не получать от нее сообщения, отправьте письмо на электронный адрес fiction-book-editor+unsub...@googlegroups.com.

Sclex

unread,
Nov 15, 2018, 11:54:48 AM11/15/18
to Fiction Book Editor
Три релизные версии инсталла FBE (2.6, 2.6.6 и 2.6.7) выложены на GitHub:


четверг, 15 ноября 2018 г., 17:42:22 UTC+3 пользователь Black_Zerg написал:
а ссылку на  Fiction Book editor можете дать? Откуда брать?

Sclex

unread,
Nov 15, 2018, 11:58:29 AM11/15/18
to Fiction Book Editor
По той ссылке предлагает скачать какие-то исходники (якобы от выложенных инсталлов), но я исходники туда не заливал, поэтому неясно, что там за них выдается.

четверг, 15 ноября 2018 г., 19:54:48 UTC+3 пользователь Sclex написал:

Олег Власов

unread,
Nov 15, 2018, 12:00:40 PM11/15/18
to fiction-b...@googlegroups.com
FictionBook.Editor.Release.v2.6.7.build.14.Nov.exe типа это вложено

чт, 15 нояб. 2018 г. в 18:58, Sclex <scl...@gmail.com>:

Sclex

unread,
Nov 15, 2018, 12:05:52 PM11/15/18
to Fiction Book Editor
exe-файлы инсталлов редактора пришлось запаковать в zip, потому что закачивание непосредственно exe-файлов там запрещено.

четверг, 15 ноября 2018 г., 20:00:40 UTC+3 пользователь pruss написал:
FictionBook.Editor.Release.v2.6.7.build.14.Nov.exe типа это вложено

Sclex

unread,
Nov 15, 2018, 12:39:02 PM11/15/18
to Fiction Book Editor
TaF выпускал версии FBE с номером больше, чем 2.6.7, можно здесь вот почитать:

Олег Власов

unread,
Nov 15, 2018, 2:22:44 PM11/15/18
to fiction-b...@googlegroups.com
https://hub.litres.ru/pages/edit_object/?art=39295323  ссылка только на бету 2.6.8 там

чт, 15 нояб. 2018 г. в 19:39, Sclex <scl...@gmail.com>:
TaF выпускал версии FBE с номером больше, чем 2.6.7, можно здесь вот почитать:

--

Sclex

unread,
Nov 18, 2018, 8:56:04 AM11/18/18
to Fiction Book Editor

четверг, 15 ноября 2018 г., 22:22:44 UTC+3 пользователь pruss написал:
https://hub.litres.ru/pages/edit_object/?art=39295323  ссылка только на бету 2.6.8 там
 Да, релизов, AFAIK, TaF не выпускал.

Sclex

unread,
Jan 14, 2022, 4:02:14 AMJan 14
to Fiction Book Editor
Сегодня (14 января 2022 года) я обновил файл main.js. Изменение такое: раньше, если скрипт при попытке запуска не удалось загрузить, выдавало сообщение об ошибке, после чего второй раз запускался сценарий, который был запущен перед этим. Теперь, если скрипт не удалось загрузить, выдается окошко с сообщением об этом и с указанием пути к файлу скрипта, который не был загружен. Предыдущий скрипт второй раз не запускается.

Измененная версия main.js для FBE 2.6.6 залита в GIT-хранилище исходников FBE:

Измененная версия main.js для FBE 2.6.7 также залита в GIT-хранилище исходников FBE:
main.for_FBE_2.6.7.js (после сохранения надо переименовать в "main.js")
... и залита на сайт scripts.fictionbook.org:
среда, 25 октября 2017 г. в 11:47:34 UTC+3, Sclex:

Sclex

unread,
Jan 14, 2022, 4:11:28 AMJan 14
to Fiction Book Editor
Вот пример окошка с сообщением об ошибке загрузки скрипта.
Снимок экрана от 2022-01-14 12-09-41.png

пятница, 14 января 2022 г. в 12:02:14 UTC+3, Sclex:
Reply all
Reply to author
Forward
0 new messages